#
# spec file for package python-colour
#

Name:           python3-colour
Version:        0.1.5
Release:        %mkrel 1
Summary:        Converts between common color representations (RGB, HSL, web...)
License:        BSD-2-Clause
Group:          Development/Python
Url:            https://github.com/vaab/colour
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch
Conflicts:      python3-py-colour

%description
Python module to convert between color representations:
  * RGB, HSL, 6-digit hex, 3-digit hex, human color
  * One object (Color) or several single purpose functions
    (rgb2hex, hsl2rgb, ...)
  * Web format which uses the smallest representation between
    6-digit (e.g. #fa3b2c), 3-digit (e.g. #fbb), fully spelled
    color (e.g. white), following W3C color naming for compatible
    CSS or HTML color specifications
  * Color scale generation choosing N color gradients
  * It's possible to pick colors to identify objects of the
    application being developed

   
    
%prep

%build

%install
rm -rf %buildroot
mkdir -p %buildroot/%{_libdir}/python3.10/site-packages
pip3 install -t %buildroot/%{_libdir}/python3.10/site-packages colour

%files
%defattr(-,root,root,-)
%{_libdir}/python3.10/site-packages

%changelog
* Sun Aug 14 2022 tex - 0.1.5.-1pclos2022
- new version

* Tue Jan 22 2019 tex 0.1.4-1pclos2019
- new
